/* Base control button styles */
.control-button {
  display: flex;
  align-items: center;
  height: 40px;
  padding: 8px 16px;
  border: none;
  border-radius: 6px;
  background: inherit;
}

.menu-bar-wrapper .control-button {
    margin-right: 2px;
}
.menu-bar-wrapper .control-button:last-child {
    margin-right: 0;
}

.control-button span {
  font-size: 16px;
}

.control-button i {
  font-size: 20px;
}

.control-button-primary {
  border: 1px solid var(--main-active-color);
  color: var(--white);
  background: var(--main-active-color);
}

.control-button-primary:hover,
.control-button-primary:focus {
  background: #005ecb;
  border-color: #005ecb;
  color: var(--white);
}

.control-button-secondary {
  border: 1px solid var(--main-active-color);
  color: var(--main-active-color);
  background: var(--white);
}

.control-button-tertiary {
  color: var(--dark-black);
  background: var(--light-grey);
}

.control-button-tertiary:hover,
.control-button-tertiary:focus {
  background: #dcdcdc;
  color: var(--dark-black);
}

.control-button-grey {
  border: 1px solid var(--grey);
  color: var(--dark-black);
  background: var(--white);
}

#more-top-buttons.nav-tabs .nav-link.active {
  color: var(--bs-nav-link-color);
}

#more-top-buttons.nav-tabs .nav-link {
  color: var(--bs-nav-tabs-link-active-color);
}

/* Base filter button styles */
.top-button {
  padding: 0 0 6px;
  border: none;
  border-radius: 0px;
  background: none;
  font-family: 'Open Sans';
}

.top-button.active {
  border-bottom: 2px solid var(--main-active-color);
}

/* Base card buttons */
.ui-button.primary-button,
.ui-button.primary-button:focus,
.ui-button.primary-button:active,
.ui-button.primary-button:hover {
  display: flex;
  padding: 8px 12px;
  margin-left: 16px;
  align-items: center;
  text-align: center;
  font-size: 16px;
  border-radius: 6px;
  background: inherit;
}

.ui-button.primary-button.add-page,
.ui-button.primary-button.replace-photo {
  color: var(--main-active-color);
  border: 2px solid var(--main-active-color);
}

.ui-button.primary-button.add-page {
  margin-left: 10px;
}

.ui-button.primary-button.add-page:focus,
.ui-button.primary-button.add-page:active,
.ui-button.primary-button.add-page:hover,
.ui-button.primary-button.add-page:focus-visible,
.ui-button.primary-button.replace-photo:focus,
.ui-button.primary-button.replace-photo:active,
.ui-button.primary-button.replace-photo:hover,
.ui-button.primary-button.replace-photo:focus-visible {
  background: var(--main-active-color);
  color: var(--white);
}

.ui-button.primary-button.delete-record,
.ui-button.primary-button.delete-photo {
  color: var(--red);
  border: 2px solid var(--red);
  margin-left: 0px;
  padding-right: 14px; /*literally 2 more than the usual 12*/
}

.ui-button.primary-button.delete-record:focus,
.ui-button.primary-button.delete-record:active,
.ui-button.primary-button.delete-record:hover,
.ui-button.primary-button.delete-record:focus-visible,
.ui-button.primary-button.delete-photo:focus,
.ui-button.primary-button.delete-photo:active,
.ui-button.primary-button.delete-photo:hover,
.ui-button.primary-button.delete-photo:focus-visible {
  background: var(--red);
  color: white;
}

i.is-offline-original {
  text-decoration: line-through solid red 2px;
}

i.is-offline {
  text-decoration: none;
  position: relative;
}
i.is-offline::before{
    content: '';
    width: 100%;
    position: absolute;
    right: 0;
    top: calc( 50% - 1.5px );
    border-bottom: 2px solid red;
}

@media screen and (max-width: 992px) {
    #ellipsis-menu-button {
        top: 9px;
        right: 10px;
        background-color: white;
    }
    #ellipsis-menu-button i {
        font-size: 28px;
    }
}
